/**
*PowerOptions App
* There are different ways implementing an App
*/
var PowerOptionsApp = PowerOptionsApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
PowerOptionsApp.App = function () {
    this.id = 'Power Options';
    this.name = 'Power Options';
    this.version = '6.0.17';
    this.active = false;
    this.menuIcon = '/apps/poweroptions/images/logo.png';
    this.shortcutIcon = '/apps/poweroptions/images/logo.png';
    this.entryUrl = '/apps/poweroptions/poweroptions.html';
    //this.entryHelpUrl = '/apps/poweroptions/poweroptions_help.html';
    var self = this;
    this.PowerOptionsAppWindow = function () { //create app window
        if(UNAS.CheckAppState('Power Options')){
            return false;
        }
        self.window = new MUI.Window({
            id: 'PowerOptionsAppWindow',
            title: UNAS._('Power Options'),
            icon: '/apps/poweroptions/images/logo_small.png',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/poweroptions/poweroptions.html?v=6.0.17&',
            require: {  css: ['/apps/poweroptions/css/poweroptions.css?v=6.0.17&'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Power Options",'PowerOptionsAppWindow');}
        });
    };

    this.subname1 = 'Reboot';
    this.submenuIcon1 = '/apps/poweroptions/images/reboot.svg';
    this.RebootAppWindow = function () { //create app window
        self.window = new MUI.Modal({
            id: 'RebootAppWindow',
            title: UNAS._('Reboot'),
            loadMethod: 'xhr',
            type: 'modal2',
            width: 450,
            height: 250,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            modalOverlayClose: false,
            contentURL: '/apps/poweroptions/reboot.html?v=6.0.17&',
            require: {  css: ['/apps/poweroptions/css/poweroptions.css?v=6.0.17&'] }
        });
    };

    this.subname2 = 'Shutdown';
    this.submenuIcon2 = '/apps/poweroptions/images/shutdown.svg';
    this.ShutdownAppWindow = function () { //create app window
        self.window = new MUI.Modal({
            id: 'ShutdownAppWindow',
            title: UNAS._('Shutdown'),
            loadMethod: 'xhr',
            type: 'modal2',
            width: 450,
            height: 250,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            modalOverlayClose: false,
            contentURL: '/apps/poweroptions/shutdown.html?v=6.0.17&',
            require: {  css: ['/apps/poweroptions/css/poweroptions.css?v=6.0.17&'] }
        });
    };
    this.PowerOptionsAppUninstall = function (){
        UNAS.RemoveDesktopShortcut('Power Options');
        UNAS.RemoveMenu('Power Options');
        UNAS.RemoveMenu('Reboot');
        UNAS.RemoveMenu('Shutdown');
        UNAS.RemoveAppFromGroups('Power Options', 'ControlPanel');
        UNAS.RemoveAppFromGroups('Power Options', 'Help');
        UNAS.RemoveAppFromApps('Power Options');
    };
    new UNAS.Menu('UNAS_ControlPanel_Setting_Menu', this.name, this.menuIcon, 'Power Options', '', this.PowerOptionsAppWindow);
    new UNAS.StartMenu('UNAS_Top_Menu', this.subname1, 'Reboot', this.RebootAppWindow, '', this.submenuIcon1);
    new UNAS.StartMenu('UNAS_Top_Menu', this.subname2, 'Shutdown', this.ShutdownAppWindow, '', this.submenuIcon2);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, UNAS._('Power Options'), this.PowerOptionsAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Setting', 'Location' : 10, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Setting', 'Location' : 10, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Power Options', UNAS._('Power Options')); //translate menu
        UNAS.SetMenuTitle('Reboot', UNAS._('Reboot')); //translate menu
        UNAS.SetMenuTitle('Shutdown', UNAS._('Shutdown')); //translate menu
        //UNAS.SetShortcutTitle('Power Options', UNAS._('Power Options')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('PowerOptionsAppWindow', UNAS._('Power Options'));
        }
    };
    UNAS.LoadTranslation('/apps/poweroptions/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name,this.shortcutIcon,this.PowerOptionsAppWindow, this.PowerOptionsAppUninstall);
};

new PowerOptionsApp.App(); //Create app
